Add Teams To Team Group
https://app.fossa.com/api/teams/groups/{id}/teamsAdd teams to a team group
Path parameters
idintegerrequiredID of the team group
Request body (required) · application/json
teamIdsinteger[]requiredArray of team IDs to add to the team group
Responses
200Teams added to team group successfullyidintegerTeam group ID
namestringTeam group name
defaultRoleIdintegerDefault role ID for members
teamsobject[]Updated list of teams within this team group
idintegerTeam ID
namestringTeam name
numProjectsintegerNumber of projects and release groups assigned to this team
membersobject[]Members of this team group
userIdintegerUser ID
roleIdintegerRole ID
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/teams/groups/1/teamscurl --request POST \ --url 'https://app.fossa.com/api/teams/groups/1/teams' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "teamIds": [ 10, 11, 12 ]}'Real request. Mutating methods can change data.
Path params
idintegerrequiredID of the team group